SystemOrganization addCategory: #'Seaside-Pharo-Security'!

!GRPackage class methodsFor: '*seaside-pharo-security' stamp: 'pmm 10/9/2010 10:28'!
seasidePharoSecurity
	^ self new
		name: 'Seaside-Pharo-Security';
		description: 'Provides advanded security';
		addDependency: 'Grease-Pharo-Core';
		addDependency: 'Cryptography';
		url: #seasideUrl;
		yourself! !

GRPharoRandomProvider subclass: #WASecurePharoRandomProvider
	instanceVariableNames: 'mutex generator'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Pharo-Security'!

!WASecurePharoRandomProvider class methodsFor: 'private' stamp: 'pmm 10/7/2010 12:50'!
initialize
	super initialize! !

!WASecurePharoRandomProvider class methodsFor: 'private' stamp: 'pmm 10/7/2010 12:50'!
randomClass
	^SecureRandom! !

GRPharoPlatform subclass: #WASecurePharoPlatform
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Pharo-Security'!

!WASecurePharoPlatform commentStamp: 'pmm 10/7/2010 13:10' prior: 0!
I provide a more secure random number generator than GRPharoPlatform.!

!WASecurePharoPlatform class methodsFor: 'class initialization' stamp: 'pmm 10/7/2010 12:52'!
initialize
	self select! !

!WASecurePharoPlatform class methodsFor: 'class initialization' stamp: 'pmm 10/7/2010 12:51'!
unload
	self unselect! !
WASecurePharoRandomProvider initialize!
WASecurePharoPlatform initialize!
